cpio (2.11+dfsg-6) unstable; urgency=medium

  * Man page for "mt" describes how to "fast erase"
    Patch by Kees Cook
    Add fix.mt-erase.manpage.patch
    Closes: #770198
  * Backport "New options to create device and inode-independent
    archives." from cpio 2.12
    Patch by Chris Lamb
    Add reproducible.patch
    See #804063
  * Standards-Version: 3.9.8
  * Refresh patches

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2016 12:31:53 +0000

cpio (2.11+dfsg-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * CVE-2016-2037: 1-byte out-of-bounds write (Closes: #812401)

  [ Jérémy Bobbio ]
  * Make the package build reproducibly:
    - Fix mtimes before building binary packages.
    - Stop recording the current time when creating gzip files.
    - Sort file list in md5sums.
    Closes: #774426

  [ Anibal Monsalve Salazar ]
  * Standards-Version: 3.9.6

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2016 12:01:51 +0000

cpio (2.11+dfsg-4.1) unstable; urgency=medium

  * Apply patch by Vitezslav Cizek of SuSE to fix CVE-2015-1197.
    Upstream is dormant or no longer existing. To restore the old
    behaviour use --extract-over-symlinks (Closes: #774669)
    This issue has been discovered by Alexander Cherepanov.

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Mar 2015 11:44:25 +0100

cpio (2.11+dfsg-4) unstable; urgency=high

  [ Michael Gilbert <mgilbert@debian.org> ]
  * Fix CVE-2014-9112: null pointer dereference issues.
    Add the following upstream patches:
    fd262d11.patch
    f6a8a2cb.patch
    Closes: #772793.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Dec 2014 11:42:11 +0000

cpio (2.11+dfsg-3) experimental; urgency=medium

  * Use default compression source options
  * Fix CVE-2014-9112: out of bounds write and insufficient range checking.
    Add the following upstream patches:
    746f3ff6.patch
    54d1c42a.patch
    58df4f1b.patch
    Closes: #772793.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Dec 2014 10:41:11 +0000

cpio (2.11+dfsg-2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Build using mingw-w64 instead of mingw32. Closes: #623402.
  * Clean up autom4te.cache and config.guess/config.sub to allow building
    twice in a row.

  [ Anibal Monsalve Salazar ]
  * Standards Version is 3.9.5
  * Commented out Vcs-Git and Vcs-Browser in debian/control

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 27 Mar 2014 01:49:54 +0000

cpio (2.11+dfsg-1) unstable; urgency=low

  * Standards Version is 3.9.4
  * Remove reference to texinfo documntation in cpio man page
    Update debian/patches/695717-no-cpio.info.patch
    Closes: #695717
  * Build depends on autotools-dev 
    Autoconf update for arm64 building
    Drop debian/patches/autoconfupdate.patch
    Closes: #689612
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Jun 2013 08:54:41 +1000

cpio (2.11+dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make cpio build with glibc 2.16 and newer, closes: #701389, #693440
  * Make cpio multiarch ready before the bug gets one year old: closes: #678385 
  * remove dependency on install-info/dpkg since info file was dropped in
    #695717
  * Update config.guess and config.sub for aarch64 bootstrapping

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 23 May 2013 09:46:11 +0300

cpio (2.11+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant doc/cpio.info and doc/cpio.texi from source.
    Closes: #695717
  * Do not build nor ship cpio.info because of the above.

 -- David Prévot <taffit@debian.org>  Sat, 29 Dec 2012 22:02:30 -0400

cpio (2.11-8) unstable; urgency=low

  * Enable hardened build flags
    Patch by Moritz Muehlenhoff
    Closes: #654522
  * Cross-building issues 
    - Fix invalid redefinition of stat() during cross-building cpio
      Patch by Steve McIntyre
      Add 627444-invalid-redefinition-of-stat.patch
    - Use the strip that's provided by the cross-binutils
      Patch by Steve Langasek
    Closes: #627444
  * Standards version is 3.9.3
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 12 Jun 2012 20:55:53 +1000

cpio (2.11-7) unstable; urgency=low

  * New mantainer. Closes: #609990.
  * Add a 'Reporting Bugs' section to manpages. Closes: #218086.
  * Add a 'See Also' section to manpages mentioning cpio(5), and
    Add a 'Suggests: libarchive1' for cpio(5). Closes: #588020.

 -- Ruben Molina <rmolina@udea.edu.co>  Thu, 10 Feb 2011 23:16:52 -0500

cpio (2.11-6) unstable; urgency=low

  * New mantainer: adopt the package.
    closes: #604790
  * debian/copyright: change link to GPL3 file
  * debian/control: add homepage field
  * Fix manpages section
  * Minor changes in postinst and prerm scripts

 -- Monica Ramirez Arceda <monica@probeta.net>  Thu, 02 Dec 2010 07:43:11 +0100

cpio (2.11-5) unstable; urgency=low

  * Bump to Standards-Version 3.9.1.
  * Orphan the package.

 -- Clint Adams <clint@gnu.org>  Sun, 14 Nov 2010 00:50:05 -0500

cpio (2.11-4) unstable; urgency=low

  * Apply patch from Didier Raboud to fix win32 output again.
    closes: #579533.

 -- Clint Adams <schizo@debian.org>  Thu, 29 Apr 2010 15:07:57 -0400

cpio (2.11-3) unstable; urgency=low

  * Return MT_EXIT_FAILURE instead of MT_EXIT_INVOP for fatal exits from
    mt.
  * Do not link mt with fatal.o even when automake is installed.
    closes: #576637.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Apr 2010 11:17:31 -0400

cpio (2.11-2) unstable; urgency=medium

  * Patch from Sven Joachim to prevent /usr/share/info/dir.gz being
    shipped when install-info is present in the build environment.
    closes: #576620.

 -- Clint Adams <schizo@debian.org>  Tue, 06 Apr 2010 08:18:20 -0400

cpio (2.11-1) unstable; urgency=high

  * New upstream version.
    - Fixes CVE-2010-0624: Heap-based buffer overflow in GNU
      Tar and GNU Cpio.
  * Tweak mingw build to not fail.
  * Update watch file to pick bzip2-compressed tarballs.
  * Bump to Standards-Version 3.8.4.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Mar 2010 00:05:20 -0500

cpio (2.10-2) unstable; urgency=low

  * Patch from Carl Miller to better handle device nodes from cramfs.
    closes: #565474.
  * Remove install-info invocations from prerm and postinst.
  * Depend on dpkg (>= 1.15.4) | install-info.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Mon, 18 Jan 2010 21:30:39 -0500

cpio (2.10-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sat, 20 Jun 2009 11:53:36 -0400

cpio (2.9.90-3) unstable; urgency=low

  * Fix some variable types leading to spurious "file grew" errors for
    files larger than 4GB.  closes: #506714.

 -- Clint Adams <schizo@debian.org>  Mon, 02 Mar 2009 17:32:20 -0500

cpio (2.9.90-2) unstable; urgency=low

  * New upstream alpha release.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Feb 2009 13:12:16 -0500

cpio (2.9-15) unstable; urgency=medium

  * Apply patch from Kees Cook to return proper exit codes.  closes:
    #514936.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Feb 2009 13:55:42 -0500

cpio (2.9-14) unstable; urgency=low

  [ James Westby ]
  * Make sure that HAVE_GETPWNAM, HAVE_GETGRNAM, HAVE_GETPWUID and
    HAVE_GETGRGID are defined so that the real functions are used, rather
    than dummy ones. Having HAVE_GETPWNAM defined makes --owner work with
    user and group names again.
    - Also switch lib/system.h to use HAVE_GETPWUID instead of HAVE_PWUID.
    closes: #500264.

  [ Clint Adams ]
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Sep 2008 16:58:29 -0400

cpio (2.9-13) unstable; urgency=low

  * Remove pre-sarge fixup from postinst, and remove preinst entirely.

 -- Clint Adams <schizo@debian.org>  Thu, 03 Apr 2008 10:56:30 -0400

cpio (2.9-12) unstable; urgency=low

  * Use lib/argp.h and lib/argp-fmtstream.h from cpio 2.9.90 to use
    proper C99 or GNU89 inline semantics accordingly.  closes: #467055.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Mar 2008 15:32:56 -0400

cpio (2.9-11) unstable; urgency=low

  * Apply patch from Robert Millan to set O_BINARY where available.
    closes: #464172.
  * Strip cpio.exe.  closes: #464208.

 -- Clint Adams <schizo@debian.org>  Tue, 05 Feb 2008 18:43:36 -0500

cpio (2.9-10) unstable; urgency=low

  * Only run `make distclean` when Makefile exists, and do not
    ignore errors from commands.

 -- Clint Adams <schizo@debian.org>  Mon, 04 Feb 2008 20:27:43 -0500

cpio (2.9-9) unstable; urgency=low

  * Remove GPLv3 from the copyright file and refer to the common
    license file.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Dec 2007 10:34:25 -0500

cpio (2.9-8) unstable; urgency=low

  * Apply patch from Robert Millan to build cpio-win32 package.
    closes: #457866.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Dec 2007 19:55:06 -0500

cpio (2.9-7) unstable; urgency=low

  * Bump to Standards-Version 3.7.3.
  * Rename XS-VCS-* to Vcs-* now that they are official.
  * Apply patch from Robert Millan to allow building in a separate
    obj dir.
  * Build in a separate obj dir.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Dec 2007 10:26:08 -0500

cpio (2.9-6) unstable; urgency=low

  * Add missing space in info documentation.  closes: #449580.
  * Apply patch from Neil Williams for cross-building support.
    closes: #450514.

 -- Clint Adams <schizo@debian.org>  Tue, 06 Nov 2007 19:59:35 -0500

cpio (2.9-5) unstable; urgency=high

  * Apply patch from paxutils to fix a bug which may lead to a "crashing
    stack" [CVE-2007-4476].  closes: #449222.

 -- Clint Adams <schizo@debian.org>  Mon, 05 Nov 2007 18:05:02 -0500

cpio (2.9-4) unstable; urgency=low

  * Don't try to byteswap a pointer.  Fixes Launchpad bug #139928.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2007 06:25:48 -0400

cpio (2.9-3) unstable; urgency=high

  * Patch from Aurelien Jarno to fix breakage on arm.
    closes: #438155.

 -- Clint Adams <schizo@debian.org>  Wed, 15 Aug 2007 22:40:09 -0400

cpio (2.9-2) unstable; urgency=high

  * Update copyright file.  closes: #431165.

 -- Clint Adams <schizo@debian.org>  Wed, 04 Jul 2007 09:30:04 -0400

cpio (2.9-1) unstable; urgency=low

  * New upstream release (under GPLv3).
    - Honor umask when creating intermediate directories, not specified
      in the archive.  closes: #430053.

 -- Clint Adams <schizo@debian.org>  Fri, 29 Jun 2007 13:29:13 -0400

cpio (2.8-1) unstable; urgency=low

  * New upstream release.
    - Includes updated nl.po.  closes: #427375.
  * Move package from Arch to git and add XS-VCS-Git and XS-VCS-Browser
    to debian/control.

 -- Clint Adams <schizo@debian.org>  Sun, 10 Jun 2007 10:46:03 -0400

cpio (2.7-4) unstable; urgency=low

  * Reapply Russell Stuart's patch from 2.7-2, since it went
    missing.

 -- Clint Adams <schizo@debian.org>  Fri, 08 Jun 2007 16:13:20 -0400

cpio (2.7-3) unstable; urgency=low

  * Apply upstream patches:
    - (long_format): Use PRIuMAX for printing file size
    - (from_ascii): Bugfix: allow for empty fields.  closes: #425532.
    - (process_copy_out): Fix memory leaks on orig_file_name.
    - (process_copy_pass): symlink_error takes two arguments.

 -- Clint Adams <schizo@debian.org>  Tue, 22 May 2007 09:40:44 -0400

cpio (2.7-2) unstable; urgency=medium

  * Apply patch from Russell Stuart to fix some malformed
    creation of ustar archives.  closes: #358990.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Apr 2007 18:47:50 -0400

cpio (2.7-1) unstable; urgency=low

  * New upstream release.
  * Apply upstream patch to fix permissions breakage in pass mode.
  * Apply upstream patch to fix symlink string termination.
    closes: #412799.
  * Apply upstream patch to fix size conversion.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Apr 2007 10:57:59 -0400

cpio (2.6-17) unstable; urgency=high

  * Fix setlocale glitch.  closes: #381348.

 -- Clint Adams <schizo@debian.org>  Fri,  4 Aug 2006 09:45:10 -0400

cpio (2.6-16) unstable; urgency=low

  * Use correct path for rmt.  closes: #293632.

 -- Clint Adams <schizo@debian.org>  Thu,  6 Jul 2006 20:31:27 -0400

cpio (2.6-15) unstable; urgency=high

  * Don't fail the preinst if the symlink doesn't exist.

 -- Clint Adams <schizo@debian.org>  Wed, 28 Jun 2006 21:24:57 -0400

cpio (2.6-14) unstable; urgency=low

  * Fix prerm to remove the correct info file.
  * Clean up /usr/doc/cpio symlink in preinst
    (fix for #322778 was accidentally removed).
    closes: #375727.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Jun 2006 23:26:22 -0400

cpio (2.6-13) unstable; urgency=high

  * Updated German program translation from Holger Wansing.
    closes: #373942.
  * Patch from Holger Wansing to update the FSF address in
    cpio.pot.
  * Fix postinst to install the correct info file.  closes: #374143.
  * Add "Plural-Forms" to Danish .po.
  * Add build-dependency on gettext, and generate all .gmos at
    build time.

 -- Clint Adams <schizo@debian.org>  Sun, 18 Jun 2006 11:14:20 -0400

cpio (2.6-12) unstable; urgency=low

  * Updated Danish program translation from Claus Hindsgaul.
    closes: #359212.
  * Bump Standards-Version to 3.7.2.
  * Add watch file.

 -- Clint Adams <schizo@debian.org>  Sun, 28 May 2006 10:54:16 -0400

cpio (2.6-11) unstable; urgency=low

  * Forward-port fix for #88419.  closes: #350827.

 -- Clint Adams <schizo@debian.org>  Sat, 11 Mar 2006 20:31:55 -0500

cpio (2.6-10) unstable; urgency=medium

  * Fix potential buffer overflow on 64-bit architectures.
    [CVE-2005-4268].  closes: #344134.

 -- Clint Adams <schizo@debian.org>  Tue, 20 Dec 2005 12:44:50 -0500

cpio (2.6-9) unstable; urgency=high

  * configure.ac, src/extern.h, src/global.c: actually fix
    the error with checksums on 64-bit platforms.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Oct 2005 17:14:08 -0500

cpio (2.6-8) unstable; urgency=high

  * src/copyout.c: fix regression of #100456 (checksum errors on
    64-bit platforms), thanks to Jim Castleberry.

 -- Clint Adams <schizo@debian.org>  Mon, 24 Oct 2005 15:23:44 -0400

cpio (2.6-7) unstable; urgency=low

  * src/mt.c: don't block on opening tape device.
    closes: #239130.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Oct 2005 21:10:55 -0400

cpio (2.6-6) unstable; urgency=critical

   * Forward-port Martin Pitt's security patch from Ubuntu:
   - SECURITY UPDATE: Modify permissions of arbitrary files, path traversal.
   - copyin.c, copypass.c: Use fchmod() and fchown() before closing the output
     file instead of chmod() and chown() after closing it. This avoids
     exploiting this race condition with a hardlink attach to chmod/chown
     arbitrary files. [CAN-2005-1111].  closes: #305372.
   - copyin.c: Separate out path sanitizing to safer_name_suffix(): Apart from
     leading slashes, filter out ".." components from output file names if
     --no-absolute-filenames is given, to avoid path traversal.  [CAN-2005-1229]
     closes: #306693.

 -- Clint Adams <schizo@debian.org>  Thu, 29 Sep 2005 10:22:52 -0400

cpio (2.6-5) unstable; urgency=medium

  * Fix 'ustar' format mtime overflow.  closes: #238177.
  * Fix symlink dereferencing problem.
    closes: #322608, #323141, #326090.

 -- Clint Adams <schizo@debian.org>  Sun,  4 Sep 2005 10:44:40 -0400

cpio (2.6-4) unstable; urgency=low

  * Restore previous mt behaviors.
  * Add/improve density descriptions for DLT IV 4000, 7000, 8000;
    uncompressed and compressed; thanks to Calum Mackay.
    closes: #222378.
  * Ship md5sums.  closes: #325617.

 -- Clint Adams <schizo@debian.org>  Mon, 29 Aug 2005 17:19:46 -0400

cpio (2.6-3) unstable; urgency=high

  * Fix inability to install if /usr/doc/cpio symlink did not exist.
    closes: #322999, #323005.

 -- Clint Adams <schizo@debian.org>  Sun, 14 Aug 2005 11:20:05 -0400

cpio (2.6-2) unstable; urgency=medium

  * Remove old /usr/doc/cpio symlink in postinst, since
    the 2.5 packages did not remove it properly in prerm.
    closes: #322778.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Aug 2005 16:53:51 -0400

cpio (2.6-1) unstable; urgency=low

  * New upstream version.  closes: #275116, #319028.
    - No longer has manpage typos reported by A Costa.
      closes: #307035.
    - No longer has manpage typo reported by Matthew Vernon.
      closes: #170558.
    - Checks for LFS.  closes: #165217.
  * New maintainer.  closes: #321333.
  * Bump Standards-Version to 3.6.2.
  * Remove /usr/doc symlink code.  closes: #320085.
  * Remove a couple of nasty XSIisms in preinst, prerm, and rules.
    closes: #253008, #256199.
  * Fix "Wrong spelling (chechdir) in rules file".  closes: #223970.
  * Drop trailing period from short description.  closes: #174470.
  * Drop support for 'debug' in DEB_BUILD_OPTIONS, and add 'noopt'.

 -- Clint Adams <schizo@debian.org>  Thu,  4 Aug 2005 21:56:42 -0400

cpio (2.5-1.2) unstable; urgency=HIGH

  * NMU
  * Forward ported patch from Albert Chin-A-Young to fix broken
    permissions on output file with -O/-F [main.c, CAN-1999-1572,
    http://groups-beta.google.com/group/gnu.utils.bug/msg/4db088ee6031c9ec]
    Closes: #293379

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Feb 2005 16:43:38 -0500

cpio (2.5-1.1) unstable; urgency=low

  * Non-maintainer upload according to the release manager's plan.
  * Fix LSB 1.3 non-compliance (Closes: Bug#184887).

 -- Roland Mas <lolando@debian.org>  Sat, 23 Aug 2003 16:07:05 +0200

cpio (2.5-1) unstable; urgency=low

  * New upstream version (after six years).  (Closes: Bug#150342,
    Bug#132312)
  * Fixed symlink /usr/doc -> ../share/doc.  (Closes: Bug#131461)
  * Fixed reference to GPL.
  * Modified postinst to ignore an existing /usr/doc/$package directory.
  * Improved stripping of binaries.
  * Removed reference to rmt in the package description.  (Closes:
    Bug#147468)

 -- Brian Mays <brian@debian.org>  Sat, 22 Jun 2002 15:46:48 -0400

cpio (2.4.2-40) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.  (Closes: Bug#131039)

 -- Brian Mays <brian@debian.org>  Sun, 27 Jan 2002 15:40:39 -0500

cpio (2.4.2-39) unstable; urgency=medium

  * Added density description for 0x45 (QIC-3095). (Closes: Bug#117427)
  * Removed rmt from cpio package.  It has moved to the tar package.

 -- Brian Mays <brian@debian.org>  Fri, 23 Nov 2001 13:30:50 -0500

cpio (2.4.2-38) unstable; urgency=low

  * Added a verbose-skip command line option (by Tomas Pospisek
    <tpo_deb@sourcepole.ch>).  (Closes: Bug#114587)

 -- Brian Mays <brian@debian.org>  Thu, 25 Oct 2001 14:28:18 -0400

cpio (2.4.2-37) unstable; urgency=low

  * Fixed checksum error on 64-byte machines.  (Closes: Bug#100456)
  * Hacked cpio to honor the umask when creating directories with the
    "-d" option.  (Closes: Bug#88419)
  * Made /etc/rmt a conffile.  (Closes: Bug#91226)
  * Removed "-g" gcc option as per policy.
  * Fixed typos in find_inode_file function causing it to occasionally
    miss inodes and, therefore, to copy out the same (hard-linked)
    file several times to a tar archive.  (Closes: Bug#66354)
  * Fixed error with mt alternatives.  (Closes: Bug#84476)
  * Added additional density codes.  (Closes: Bug#104149)

 -- Brian Mays <brian@debian.org>  Wed, 25 Jul 2001 12:01:51 -0400

cpio (2.4.2-35) unstable; urgency=low

  * Renamed gmt to mt-gnu.  (Closes: Bug#84118)

 -- Brian Mays <brian@debian.org>  Tue, 30 Jan 2001 19:42:28 -0500

cpio (2.4.2-34) unstable; urgency=low

  * Added an environment variable to cpio and mt to specify the remote
    command.  (Closes: Bug#71048)
  * Added compatibility with the mt-st package.  (Closes: Bug#83813)

 -- Brian Mays <brian@debian.org>  Sun, 28 Jan 2001 16:15:44 -0500

cpio (2.4.2-33) unstable; urgency=low

  * Added density code 0x22 (SLR4DC) to mt.  (Closes: Bug#67424)

 -- Brian Mays <brian@debian.org>  Thu, 27 Jul 2000 17:49:56 -0400

cpio (2.4.2-32) frozen unstable; urgency=low

  * Added patch by Fred Long <flong@sea.com> and Marc SCHAEFER
    <schaefer@alphanet.ch> to fix file corruption when a file changes
    during the backup.  (Closes: Bug#53056)
  * Added patch from Anders Hammarquist <iko@dd.chalmers.se> to make
    rmt work with Solaris ufsdump/ufsrestore.  (Closes: Bug#58323)

 -- Brian Mays <brian@debian.org>  Thu, 17 Feb 2000 12:43:01 -0500

cpio (2.4.2-31) frozen unstable; urgency=low

  * Fixed missing element from manpage.  (Closes: Bug#56904)

 -- Brian Mays <brian@debian.org>  Thu,  3 Feb 2000 13:39:55 -0500

cpio (2.4.2-30) frozen unstable; urgency=low

  * Added build-time dependencies.

 -- Brian Mays <brian@debian.org>  Mon, 17 Jan 2000 13:32:18 -0500

cpio (2.4.2-29) unstable; urgency=low

  * Added patch from Mark Eichin to fix mt's datcompression.  (Closes:
    Bug#52755)

 -- Brian Mays <brian@debian.org>  Fri, 17 Dec 1999 14:14:40 -0500

cpio (2.4.2-28) unstable; urgency=low

  * Modified cpio so that the -v and -V flags work with
    --only-verify-crc.  (Closes: Bug#49791)

 -- Brian Mays <brian@debian.org>  Wed, 10 Nov 1999 08:42:34 -0500

cpio (2.4.2-27) unstable; urgency=low

  * Fixed FHS /usr/doc -> /usr/share/doc transition scheme.

 -- Brian Mays <brian@debian.org>  Fri,  1 Oct 1999 12:43:24 -0400

cpio (2.4.2-26) unstable; urgency=low

  * Added symbolic link /usr/doc/cpio -> /usr/share/doc/cpio.

 -- Brian Mays <brian@debian.org>  Thu, 16 Sep 1999 13:45:04 -0400

cpio (2.4.2-25) unstable; urgency=low

  * Changed section to "utils".
  * Made /etc/rmt a wrapper script (with comments detailing its purpose)
    instead of a symlink.
  * Removed tar from cpio man page.  (Closes: Bug#38043)
  * Moved doc, man, and info to /usr/share as per the FHS.
  * Fixed bug in rmt causing problems on systems (such as the Hurd)
    where sys_errlist is not available.  (Closes: Bug#37164)

 -- Brian Mays <brian@debian.org>  Thu, 22 Jul 1999 12:04:32 -0400

cpio (2.4.2-24) unstable; urgency=low

  * Made Debian scripts create and remove the symbolic links to rmt.
    (Closes: Bug#33670)

 -- Brian Mays <brian@debian.org>  Mon, 22 Feb 1999 17:24:21 -0500

cpio (2.4.2-23) frozen unstable; urgency=low

  * Fixed a bug causing cpio to segfault when the tar format is used.
  * Fixed bugs causing cpio to use the wrong minor device numbers.

 -- Brian Mays <brian@debian.org>  Wed,  6 Jan 1999 09:59:24 -0500

cpio (2.4.2-22) unstable frozen; urgency=low

  * Fixed "Lwhence\noffset\n" error in rmt manual page.  (Fixes:
    Bug#28960)

 -- Brian Mays <brian@debian.org>  Fri,  6 Nov 1998 11:01:57 -0500

cpio (2.4.2-21) unstable; urgency=low

  * Modified cpio to use the -n flag also to extract tar archives using
    the numeric UID/GID instead of the user/group names in /etc/passwd
    and /etc/groups.

 -- Brian Mays <brian@debian.org>  Thu, 15 Oct 1998 15:20:34 -0400

cpio (2.4.2-20) unstable; urgency=low

  * Fixed bug in --sparse feature.

 -- Brian Mays <brian@debian.org>  Mon,  5 Oct 1998 12:51:47 -0400

cpio (2.4.2-19) unstable; urgency=low

  * Added NEWS and README to /usr/doc/cpio.  (Fixes: Bug#26338)

 -- Brian Mays <brian@debian.org>  Wed,  2 Sep 1998 13:32:18 -0400

cpio (2.4.2-18) unstable; urgency=low

  * Added patch from Evan Harris to fix mt's datcompression.  (Fixes:
    Bug#23980)

 -- Brian Mays <brian@debian.org>  Mon, 29 Jun 1998 11:35:57 -0400

cpio (2.4.2-17) unstable; urgency=low

  * Added patch necessary to build cpio in glibc_2.1.  (Provided by
    Juan Cespedes <cespedes@debian.org>.)  (Fixes: Bug#22643)
  * Added a --rsh-command command line option (similar to tar's) to
    cpio and mt.
  * Made ssh the default remote command.

 -- Brian Mays <brian@debian.org>  Tue, 26 May 1998 13:01:27 -0400

cpio (2.4.2-16) unstable frozen; urgency=low

  * Fixed problem causing corruption of old style ascii cpio archives.
    Problem caused by a change in the dev_t type used by glibc.
    (Fixes: Bug#22857)

 -- Brian Mays <brian@debian.org>  Tue, 26 May 1998 13:01:19 -0400

cpio (2.4.2-15) frozen unstable; urgency=low

  * Added a patch required for cpio to compile on a PowerPC.  Fixes:
    Bug#21411.
  * Removed bashisms from the debian/rules makefile.

 -- Brian Mays <brian@debian.org>  Mon, 20 Apr 1998 14:20:36 -0400

cpio (2.4.2-14) unstable; urgency=low

  * Removed old FSF address from copyright file.

 -- Brian Mays <brian@debian.org>  Thu, 12 Feb 1998 17:45:29 -0500

cpio (2.4.2-13) unstable; urgency=low

  * Changed the function responsible for processing the count parameter
    from atoi() to strtol().  This will allow entries such as 0x24 to be
    used.

 -- Brian Mays <brian@debian.org>  Fri,  5 Dec 1997 17:21:08 -0500

cpio (2.4.2-12) unstable; urgency=low

  * Added patch to report more information on FTAPE drives.
  * Made several miscellaneous fixes to source.

 -- Brian Mays <brian@debian.org>  Sun, 26 Oct 1997 15:47:59 -0500

cpio (2.4.2-11) unstable; urgency=low

  * Libc6 release.

 -- Brian Mays <brian@debian.org>  Tue,  5 Aug 1997 16:53:14 -0400

cpio (2.4.2-10) unstable; urgency=low

  * Added CR at end of `mt status' output (fixed Bug#7632).

 -- Brian Mays <brian@debian.org>  Tue, 25 Feb 1997 12:15:09 -0500

cpio (2.4.2-9) unstable; urgency=low

  * Fixed a couple of bugs.
  * Moved /usr/doc/cpio/ChangeLog.gz to /usr/doc/cpio/changelog.gz.

 -- Brian Mays <brian@debian.org>  Thu, 2 Jan 1997 12:18:39 -0500

cpio (2.4.2-8) unstable; urgency=low

  * Fixed bug #4427, wrong syscall used to print position of tape.

 -- Brian Mays <brian@debian.org>  Thu, 12 Sep 1996 09:55:21 -0400

cpio (2.4.2-7) unstable; urgency=low

  * New upstream source.
  * Added an rmt manpage (from BSD).
  * First release with the new source format.

 -- Brian Mays <brian@debian.org>  Fri, 23 Aug 1996 23:27:40 -0400
